List contact books
List the contact books the API key can reach.
GET
https://app.usenotix.dev/api/v1/contactBooksFull access and read only keys can call this. Sending access keys cannot. Key permissions lists the extra rules some calls have.
List the contact books the API key can reach.
Headers
Authorizationstringrequired
Bearer followed by your API key.
curl -X GET "https://app.usenotix.dev/api/v1/contactBooks" \
-H "Authorization: Bearer $NOTIX_API_KEY"
import { Notix } from "notix-js";
const notix = new Notix(process.env.NOTIX_API_KEY);
const { data, error } = await notix.contactBooks.list();
from notix import Notix
notix = Notix() # reads NOTIX_API_KEY
books, _ = notix.contact_books.list()
use Notix\Notix;
$notix = new Notix(getenv('NOTIX_API_KEY'));
$books = $notix->contactBooks->list();
Response200
[
{
"id": "clx1234567890",
"name": "Newsletter Subscribers",
"teamId": 1,
"properties": {
"customField1": "value1"
},
"variables": [
"registrationCode",
"company"
],
"emoji": "📙",
"createdAt": "string",
"updatedAt": "string",
"source": {
"provider": "resend",
"migratedAt": "2026-10-07T10:05:00.000Z"
}
}
]